## kio-extras 15.12.3

=== doc/CMakeLists.txt ===
ecm_optional_add_subdirectory(kioslave)
ecm_optional_add_subdirectory(kcontrol)

=== fish/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_fish\")

include(CheckIncludeFiles)
include(CheckFunctionExists)

check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(util.h HAVE_UTIL_H)
check_include_files(sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_files(pty.h HAVE_PTY_H)
check_include_files("sys/types.h;libutil.h" HAVE_LIBUTIL_H)
check_function_exists(getpt       HAVE_GETPT)
check_function_exists(grantpt     HAVE_GRANTPT)
include(CheckLibraryExists)
check_library_exists(util  openpty "" HAVE_OPENPTY)
check_library_exists(util  isastream "" HAVE_ISASTREAM)

find_library(UTIL_LIBRARIES util)
mark_as_advanced(UTIL_LIBRARIES)

configure_file(config-fish.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fish.h)

########### next target ###############
# on Linux there is md5sum, on FreeBSD there is md5
find_program(MD5SUM_EXECUTABLE NAMES md5sum md5 )
    
if (MD5SUM_EXECUTABLE)

   if ("${MD5SUM_EXECUTABLE}" MATCHES "md5sum")
      set(CUT_ARG "-f 1")                            # for md5sum the sum is in the 1st column
   else ()
      set(CUT_ARG "-f 4")                            # for md5 the sum is in the 4th column
   endif ()

   if (WIN32)
      set(FISH_GENERATOR "generate_fishcode.bat")
   else ()
      set(FISH_GENERATOR "generate_fishcode.sh")
   endif ()
   add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h 
      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${FISH_GENERATOR} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl ${MD5SUM_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h "${CUT_ARG}"
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

   set(kio_fish_PART_SRCS fish.cpp ${CMAKE_CURRENT_BINARY_DIR}/fishcode.h)

   add_library(kio_fish MODULE ${kio_fish_PART_SRCS})

   target_link_libraries(kio_fish KF5::KIOCore KF5::KDELibs4Support)

   set_target_properties(kio_fish PROPERTIES OUTPUT_NAME "fish")

   if (UTIL_LIBRARIES)
      target_link_libraries(kio_fish ${UTIL_LIBRARIES})
   endif ()

   install(TARGETS kio_fish  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio )


   ########### install files ###############

   install( FILES fish.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

endif ()

=== man/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_man\")

add_subdirectory( tests )

########### next target ###############

set(kio_man_PART_SRCS man2html.cpp kio_man.cpp request_hash.cpp kio_man_debug.cpp)
add_library(kio_man MODULE ${kio_man_PART_SRCS})

target_link_libraries(kio_man KF5::KIOCore Qt5::Widgets KF5::Archive KF5::KDELibs4Support)
set_target_properties(kio_man PROPERTIES OUTPUT_NAME "man")
install(TARGETS kio_man DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### next target ###############

add_library(kmanpart kmanpart.cpp )
target_compile_definitions(kmanpart PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(kmanpart KF5::KHtml KF5::KDELibs4Support)

install(TARGETS kmanpart  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES man.protocol kmanpart.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== mtp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_mtp\")

add_definitions(-DQT_NO_CAST_FROM_ASCII)

set(kio_mtp_PART_SRCS
    devicecache.cpp
    filecache.cpp
    kio_mtp.cpp
    kio_mtp_helpers.cpp
)

add_library(kio_mtp MODULE ${kio_mtp_PART_SRCS} )
target_link_libraries(kio_mtp ${MTP_LIBRARIES} Qt5::Core KF5::KIOCore KF5::I18n KF5::Solid)
set_target_properties(kio_mtp PROPERTIES OUTPUT_NAME "mtp")

install(TARGETS kio_mtp DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### install files ###############

install( FILES mtp-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/konqueror/dirtree/remote )
install( FILES solid_mtp.desktop  DESTINATION  ${DATA_INSTALL_DIR}/solid/actions )
install( FILES mtp.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES mtp-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/remoteview )

=== recentdocuments/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_recentdocuments\")

add_library(kio_recentdocuments MODULE recentdocuments.cpp)
target_link_libraries(kio_recentdocuments KF5::KIOCore Qt5::DBus KF5::KDELibs4Support)
set_target_properties(kio_recentdocuments PROPERTIES OUTPUT_NAME "recentdocuments")
install(TARGETS kio_recentdocuments DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### next target ###############

add_library(kded_recentdocumentsnotifier MODULE recentdocumentsnotifier.cpp)
set_target_properties(kded_recentdocumentsnotifier PROPERTIES OUTPUT_NAME recentdocumentsnotifier)
kcoreaddons_desktop_to_json(kded_recentdocumentsnotifier recentdocumentsnotifier.desktop)

target_link_libraries(kded_recentdocumentsnotifier KF5::KIOCore KF5::DBusAddons KF5::KDELibs4Support)

install(TARGETS kded_recentdocumentsnotifier  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded )

########### install files ###############

install( FILES recentdocuments.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== settings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_settings\")

add_library(kio_settings MODULE kio_settings.cpp)
target_link_libraries(kio_settings KF5::KDELibs4Support KF5::KIOCore)
set_target_properties(kio_settings PROPERTIES OUTPUT_NAME "settings")

install(TARGETS kio_settings  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio )
install( FILES settings.protocol DESTINATION  ${SERVICES_INSTALL_DIR} )

=== archive/autotests/CMakeLists.txt ===
add_executable(testkioarchive testkioarchive.cpp)
target_link_libraries(testkioarchive KF5::KIOCore KF5::KDELibs4Support KF5::Archive Qt5::Test)
ecm_mark_as_test(testkioarchive)
add_test(testkioarchive testkioarchive)

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(trash)

=== doc/kioslave/CMakeLists.txt ===
add_subdirectory(bookmarks)
if(KArchive_HAVE_BZIP2)
  add_subdirectory(bzip2)
endif()
add_subdirectory(fish)
add_subdirectory(gzip)
add_subdirectory(info)
add_subdirectory(man)
add_subdirectory(network)
add_subdirectory(nfs)
add_subdirectory(sftp)
if(NOT WIN32)
  add_subdirectory(smb)
endif()
add_subdirectory(tar)
add_subdirectory(thumbnail)
if(KArchive_HAVE_LZMA)
  add_subdirectory(xz)
endif()

=== fish/tests/CMakeLists.txt ===
add_executable( copytester main.cpp copytester.cpp)

target_link_libraries( copytester KF5::KDELibs4Support KF5::KIOCore )

install( TARGETS copytester ${INSTALL_TARGETS_DEFAULT_ARGS}  )

=== network/kded/CMakeLists.txt ===
include_directories(
  ../network
  ../ioslave
)
set( kded_networkwatcher_SRCS
  networkdbusadaptor.cpp
  kioslavenotifier.cpp
  networkwatcher.cpp
)

qt5_add_dbus_adaptor( kded_networkwatcher_SRCS  org.kde.network.kioslavenotifier.xml kioslavenotifier.h Mollet::KioSlaveNotifier )

add_library(kded_networkwatcher MODULE  ${kded_networkwatcher_SRCS} )
set_target_properties(kded_networkwatcher PROPERTIES OUTPUT_NAME networkwatcher)
kcoreaddons_desktop_to_json(kded_networkwatcher networkwatcher.desktop)

target_link_libraries( kded_networkwatcher KF5::DBusAddons KF5::KIOCore molletnetwork5 )

install( TARGETS kded_networkwatcher  DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded )

install( FILES org.kde.network.kioslavenotifier.xml  DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} RENAME kf5_org.kde.network.kioslavenotifier.xml )

=== doc/kioslave/info/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave5/info)

## kio-extras 5.2.2

=== debian/changelog ===
kio-extras (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Fix library name for Plasma/5.2 branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 23:38:59 +0100

kio-extras (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:20:09 -0700

kio-extras (4:5.2.1-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Fix relationship with kio-mtp to support backports

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:39:55 -0800

kio-extras (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:52:50 +0100

kio-extras (4:5.1.95-0ubuntu3) vivid; urgency=medium

  * Break old version of kio-mtp

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 14:41:08 +0100

kio-extras (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * Repleace/conflict kio-mtp

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 11:52:31 +0100

kio-extras (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:30:10 +0100

kio-extras (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove upstream_CVE-2014-8600.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:20:46 +0100

kio-extras (4:5.1.1-0ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Nov 2014 10:08:55 +0100

kio-extras (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:44:44 +0100

kio-extras (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Lintian cleanup
    + Linitian override manpage warning for ktrash5 (we do not generally
      provide manpages for helper binaries nor for GUI binaries)
    + Fix a short license name in copyright to enable standard license
      identification

  [ Scarlett Clark ]
  * cherry-pick 2e86138c30e820bccc4d13e5329d1008f9ccce1b due to 
    kio trash changes upstream. 

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:48:15 +0200

kio-extras (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release
  * Remove no-human-maintainers lintian-override per ScottK. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:15:25 -0700

kio-extras (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:42:07 +0200

kio-extras (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:19:32 +0200

kio-extras (4:4.97.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * remove patch and use new tar
  * add optional build depends. 
  * Fix install file 
  * change arch to all data package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:25:09 +0100

=== debian/control ===
Source: kio-extras
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev (>= 5.2.0),
               kio-dev (>= 5.3.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.2.0),
               libkf5bookmarks-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev (>= 5.2.0),
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5dnssd-dev (>= 5.2.0),
               libkf5guiaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5khtml-dev (>= 5.2.0),
               libkf5pty-dev (>= 5.2.0),
               libkf5solid-dev (>= 5.2.0),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev,
               libslp-dev,
               libsmbclient-dev,
               libssh-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~)
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kio-extras.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kio-extras.git

Package: kio-extras
Section: utils
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Section: libs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

Package: kio-extras-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: kio-extras (= ${binary:Version}), ${misc:Depends}
Description: Extra functionality for kioslaves debug files.
 A kioslave is a program designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kio-extras-dbg

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/kio-extras-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/kio-extras-(.*)\.tar\.xz

## kio-extras 15.08.2

=== debian/changelog ===
kio-extras (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:29:42 +0100

kio-extras (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:03:41 +0100

kio-extras (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:27:44 +0100

kio-extras (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * First release as part of KDE Applications

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:29:09 +0100

kio-extras (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:28:07 +0000

kio-extras (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:30:32 +0200

kio-extras (4:5.3.0-0ubuntu1) UNRELEASED; urgency=medium

  * beta release
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 17:00:21 +0200

kio-extras (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:49 +0200

kio-extras (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:41 +0100

kio-extras (4:5.2.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Fix relationship with kio-mtp to support backports

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 18:36:37 +0100

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev (>= 5.3.0),
               kinit-dev,
               kio-dev (>= 5.3.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0~),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5dnssd-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5kdelibs4support-dev (>= 5.3.0),
               libkf5khtml-dev (>= 5.3.0),
               libkf5pty-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libslp-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kio-extras.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kio-extras.git

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

Package: kio-extras-dbg
Section: debug
Priority: extra
Architecture: any
Depends: kio-extras (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Extra functionality for kioslaves debug files.
 A kioslave is a program designed to be intimately familiar with a certian
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 	$(overridden_command) --dbg-package=kio-extras-dbg
 
 override_dh_auto_test:
-	dh_installwm openbox\
-	xvfb-run -a dh_auto_test
+	# Tests require a registered logind session. :/
+	# If you are reading this, your help is needed to make this work in
+	# a reproduceable way either in the buildds or in the autopkgtests
+	# servers
+	# xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kio-extras-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kio-extras-([\d.]+).tar.xz

## kio-extras 15.12.3

=== debian/changelog ===
kio-extras (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:26:43 -0700

kio-extras (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:47:41 +0100

kio-extras (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:19 +0100

kio-extras (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:57:49 +0000

kio-extras (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:00 +0100

kio-extras (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:00 +0200

kio-extras (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 14:04:38 +0200

kio-extras (4:5.3.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #790522)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:51 +0200

kio-extras (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 21:53:04 +0200

kio-extras (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libsmbclient-dev,
                libssh-dev (>= 0.6.0),
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4.0~),
                shared-mime-info
 Standards-Version: 3.9.6
@@ -59,8 +59,8 @@
 Package: kio-extras-data
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
-Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~)
+Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
+Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
 Description: Extra functionality for kioslaves data files.
  A kioslave is a plugin designed to be intimately familiar with a certian
  protocol, so that a standardized interface can be used to get at data from
@@ -69,18 +69,3 @@
  ftp server respectively.
  .
  This package contains the data files
-
-Package: kio-extras-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: kio-extras (= ${binary:Version}), ${misc:Depends}
-Recommends: qtbase5-dbg
-Description: Extra functionality for kioslaves debug files.
- A kioslave is a program designed to be intimately familiar with a certian
- protocol, so that a standardized interface can be used to get at data from
- any number of places.  A few examples are the http and ftp kioslaves,
- which using nearly identical methods will retrieve data from an http or
- ftp server respectively.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kio-extras-dbg
+	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_auto_test:
 	# Tests require a registered logind session. :/

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kio-extras-([\d.]+)\.tar\.xz

## kio-extras 16.04.3

=== debian/changelog ===
kio-extras (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Add new dep to libkf5activities. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:02 +0200

kio-extras (4:15.08.3-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on libslp-dev. (Closes: #815361)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Feb 2016 20:36:37 +0100

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.24.0~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5bookmarks-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5dnssd-dev (>= 5.24.0~),
               libkf5guiaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5khtml-dev (>= 5.24.0~),
               libkf5pty-dev (>= 5.24.0~),
               libkf5solid-dev (>= 5.24.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libslp-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

## kio-extras 16.08.3

=== thumbnail/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_thumbnail\")

find_package(OpenEXR)
set_package_properties(OpenEXR PROPERTIES DESCRIPTION "API for accessing OpenEXR formatted images"
                       URL "http://www.openexr.com"
                       TYPE OPTIONAL
                       PURPOSE "Provides support for OpenEXR formatted images in the thumbnail kioslave"
                      )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG image format support"
                       URL "http://www.ijg.org"
                       TYPE REQUIRED
                      )

find_package(Exiv2)
set_package_properties(Exiv2 PROPERTIES DESCRIPTION "A library to access image metadata"
                       URL "http://www.exiv2.org"
                       TYPE OPTIONAL
                       PURPOSE "Provides support for automatic rotation of JPEGs in the thumbnail kioslave"
                      )

macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)

include_directories(${JPEG_INCLUDE_DIR})
if(EXIV2_FOUND)
    include_directories(${EXIV2_INCLUDE_DIR})
endif()

include_directories(${CMAKE_BINARY_DIR})

########### next target ###############

set(kio_thumbnail_PART_SRCS thumbnail.cpp imagefilter.cpp)

add_library(kio_thumbnail MODULE ${kio_thumbnail_PART_SRCS})

target_link_libraries(kio_thumbnail
	KF5::CoreAddons
	KF5::KIOCore
	KF5::KIOWidgets
	KF5::Solid
	KF5::IconThemes
 	KF5::I18n
	KF5::KDELibs4Support
)

set_target_properties(kio_thumbnail PROPERTIES OUTPUT_NAME "thumbnail")

install(TARGETS kio_thumbnail DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)

########### next target ###############

set(imagethumbnail_PART_SRCS imagecreator.cpp)

add_library(imagethumbnail MODULE ${imagethumbnail_PART_SRCS})

target_link_libraries(imagethumbnail
    KF5::KIOWidgets
)

install(TARGETS imagethumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES directorythumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

########### next target ###############

set(jpegthumbnail_PART_SRCS jpegcreator.cpp)
kconfig_add_kcfg_files(jpegthumbnail_PART_SRCS jpegcreatorsettings5.kcfgc)
add_library(jpegthumbnail MODULE ${jpegthumbnail_PART_SRCS})

target_link_libraries(jpegthumbnail 
	Qt5::Core
	Qt5::Gui
	KF5::KIOCore
	KF5::KIOWidgets
	${JPEG_LIBRARIES}
	KF5::I18n 
	KF5::ConfigCore 
	KF5::ConfigGui
)


if (HAVE_EXIV2)
    set_source_files_properties(jpegcreator.cpp PROPERTIES
                                COMPILE_DEFINITIONS "HAVE_EXIV2")
    kde_source_files_enable_exceptions(jpegcreator.cpp)
    include_directories(${EXIV2_INCLUDE_DIR})
    target_link_libraries(jpegthumbnail ${EXIV2_LIBRARIES})
endif ()

install(FILES jpegcreatorsettings5.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS jpegthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(svgthumbnail_PART_SRCS svgcreator.cpp)

add_library(svgthumbnail MODULE ${svgthumbnail_PART_SRCS})

target_link_libraries(svgthumbnail
	Qt5::Gui
	Qt5::Svg
	KF5::KIOCore
	KF5::KIOWidgets
)

install(TARGETS svgthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(textthumbnail_PART_SRCS textcreator.cpp)

add_library(textthumbnail MODULE ${textthumbnail_PART_SRCS})

target_link_libraries(textthumbnail
    Qt5::Gui
    KF5::KIOWidgets
)

install(TARGETS textthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

# ########### next target ###############
# 
# if(NOT WINCE)
# set(htmlthumbnail_PART_SRCS htmlcreator.cpp)
# 
# add_library(htmlthumbnail MODULE ${htmlthumbnail_PART_SRCS})
# 
# target_link_libraries(htmlthumbnail KF5::WebKit)
# 
# install(TARGETS htmlthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
# endif()

########### next target ###############

if(NOT WIN32)
set(djvuthumbnail_PART_SRCS djvucreator.cpp)

add_library(djvuthumbnail MODULE ${djvuthumbnail_PART_SRCS})

target_link_libraries(djvuthumbnail KF5::KIOWidgets)

install(TARGETS djvuthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES djvuthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif()

########### next target ###############

if(OpenEXR_FOUND)

    include_directories( ${OpenEXR_INCLUDE_DIRS})

    set(exrthumbnail_PART_SRCS exrcreator.cpp)

    add_library(exrthumbnail MODULE ${exrthumbnail_PART_SRCS})

    target_link_libraries(exrthumbnail
            KF5::KIOCore
            KF5::KIOWidgets
            ${OpenEXR_LIBRARIES}
        )

    # OpenEXR headers use exceptions; at least clang refuses to build the target
    # when exceptions are not enabled.
    kde_source_files_enable_exceptions(exrcreator.cpp)

    install(TARGETS exrthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
    install( FILES exrthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif()

########### next target ###############

# if(X11_Xcursor_FOUND)
# 
#    set(cursorthumbnail_PART_SRCS cursorcreator.cpp)
# 
#    add_library(cursorthumbnail MODULE ${cursorthumbnail_PART_SRCS})
# 
#    target_link_libraries(cursorthumbnail ${X11_Xcursor_LIB} ${KIO_LIBRARIES})
# 
#    install(TARGETS cursorthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
#    install( FILES cursorthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})
# 
# endif()
# 

########### next target ###############

set ( windowsexethumbnail_SRCS windowsexecreator.cpp icoutils_common.cpp)
set ( windowsimagethumbnail_SRCS windowsimagecreator.cpp icoutils_common.cpp)

if(WIN32)
    set ( windowsexethumbnail_SRCS ${windowsexethumbnail_SRCS} icoutils_win.cpp )
    set ( windowsimagethumbnail_SRCS ${windowsimagethumbnail_SRCS} icoutils_win.cpp )
else()
    set ( windowsexethumbnail_SRCS ${windowsexethumbnail_SRCS} icoutils_wrestool.cpp )
    set ( windowsimagethumbnail_SRCS ${windowsimagethumbnail_SRCS} icoutils_wrestool.cpp )
endif()

add_library(windowsexethumbnail MODULE ${windowsexethumbnail_SRCS} )
target_link_libraries ( windowsexethumbnail KF5::KIOWidgets )
install ( TARGETS windowsexethumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )
install ( FILES windowsexethumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

add_library(windowsimagethumbnail MODULE ${windowsimagethumbnail_SRCS} )
target_link_libraries ( windowsimagethumbnail KF5::KIOWidgets )
install ( TARGETS windowsimagethumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )
install ( FILES windowsimagethumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

########### next target ###############

set(comicbookthumbnail_SRCS comiccreator.cpp)
add_library(comicbookthumbnail MODULE ${comicbookthumbnail_SRCS})
target_link_libraries(comicbookthumbnail
    Qt5::Gui
    KF5::Archive
    KF5::KIOWidgets
)
if (UNIX)
    target_link_libraries(comicbookthumbnail KF5::Pty)
endif ()
install(TARGETS comicbookthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})

# ########### next target ###############

set(kritathumbnail_SRCS kritacreator.cpp)
add_library(kritathumbnail MODULE ${kritathumbnail_SRCS})

target_link_libraries(kritathumbnail
    KF5::KIOWidgets
    KF5::Archive
    Qt5::Gui
)

install(TARGETS kritathumbnail  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES thumbcreator.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES
    thumbnail.protocol
    svgthumbnail.desktop
    imagethumbnail.desktop
    jpegthumbnail.desktop
    textthumbnail.desktop
#    htmlthumbnail.desktop
#    desktopthumbnail.desktop
    comicbookthumbnail.desktop
    kraorathumbnail.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kio-extras (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:11:27 +0100

kio-extras (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:33:54 +0200

kio-extras (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:09:22 +0200

kio-extras (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing breaks/replaces against kactivities

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:45:47 +0200

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev (>= 5.3.0),
               kinit-dev,
               kio-dev (>= 5.3.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.3.0~),
               libkf5archive-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0~),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5dnssd-dev (>= 5.3.0),
               libkf5doctools-dev (>= 5.3.0~),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5kdelibs4support-dev (>= 5.3.0),
               libkf5khtml-dev (>= 5.3.0),
               libkf5kio-dev (>= 5.3.0~),
               libkf5pty-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
               shared-mime-info
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kio-extras.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kio-extras.git

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='kio-extras-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_auto_test:
 	# Tests require a registered logind session. :/

## kio-extras 16.12.3

=== debian/changelog ===
kio-extras (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:55 +0000

kio-extras (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Only build depend on optional QtWebEngine on architectures where 
    this is available - currently only amd64/i386/armhf.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 24 Jan 2017 14:28:42 +0000

kio-extras (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * Optional build dep on qt5webengine & qt5webchannel (>= 5.7.0~)
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * Build dep on qtpositioning5-dev
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:35 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libslp-dev,
               libsmbclient-dev,
               libssh-dev (>= 0.6.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~) [amd64 i386 armhf],
               shared-mime-info
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

## kio-extras 17.04.3

=== debian/changelog ===
kio-extras (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add taglib and gperf to build depends
  * Update install files for new libs
  * Build depend on libkf5plasma-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Update installed files
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
+               gperf,
                kinit-dev (>= 5.31.0~),
                libexiv2-dev,
                libjpeg-dev,
@@ -24,6 +25,7 @@
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
                libkf5pty-dev (>= 5.31.0~),
                libkf5solid-dev (>= 5.31.0~),
                libmtp-dev,
@@ -35,6 +37,7 @@
                libslp-dev,
                libsmbclient-dev,
                libssh-dev (>= 0.6.0),
+               libtag1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.6.1~),
